<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
<xsl:output method="xml" indent="yes"/> 

<xsl:template match="/">
   <xsl:call-template name="menu" />
</xsl:template>

<xsl:template name="menu">
  <ul id="menutree">
    <xsl:apply-templates select="MENU/ITEM" />
  </ul>
</xsl:template>

<xsl:template match="ITEM">
  <li>
  <a href="{URL}" target="{TARGET}"><xsl:value-of select="TITLE"/><xsl:value-of select="NAME"/></a>
    <xsl:if test="ITEM">
      <ul>
        <xsl:apply-templates select="ITEM"/>
      </ul>
    </xsl:if>
  </li>
</xsl:template>

</xsl:stylesheet> 
